summaryrefslogtreecommitdiff
path: root/dev-python/jsonpatch/jsonpatch-1.23.ebuild
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2019-04-10 00:00:18 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2019-04-10 00:08:16 -0500
commit808c234d1e4f6d5fed4d2ff5c77877e5e28b3490 (patch)
treee7206e0f0dfbf8c8b6d20b8837945a39bc2e07fc /dev-python/jsonpatch/jsonpatch-1.23.ebuild
parent0b6dd643331ce95170620fb787883f592d5af6e9 (diff)
downloadgentoo-808c234d1e4f6d5fed4d2ff5c77877e5e28b3490.tar.gz
gentoo-808c234d1e4f6d5fed4d2ff5c77877e5e28b3490.tar.bz2
gentoo-808c234d1e4f6d5fed4d2ff5c77877e5e28b3490.zip
dev-python/jsonpatch: 1.23 bump
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
Diffstat (limited to 'dev-python/jsonpatch/jsonpatch-1.23.ebuild')
-rw-r--r--dev-python/jsonpatch/jsonpatch-1.23.ebuild27
1 files changed, 27 insertions, 0 deletions
diff --git a/dev-python/jsonpatch/jsonpatch-1.23.ebuild b/dev-python/jsonpatch/jsonpatch-1.23.ebuild
new file mode 100644
index 000000000000..072e9725cab5
--- /dev/null
+++ b/dev-python/jsonpatch/jsonpatch-1.23.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy )
+
+RESTRICT="test"
+
+inherit distutils-r1
+
+DESCRIPTION="Apply JSON-Patches like http://tools.ietf.org/html/draft-pbryan-json-patch-04"
+HOMEPAGE="https://github.com/stefankoegl/python-json-patch"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND=">=dev-python/jsonpointer-1.9[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( ${RDEPEND} )"
+
+python_test() {
+ "${PYTHON}" tests.py || die "Tests of tests.py fail with ${EPYTHON}"
+ "${PYTHON}" ext_tests.py || die "Tests of ext_tests.py fail with ${EPYTHON}"
+}